# Angebot
<span class="text-muted contributed-by">Beigetragen von CWT Connector & Wire Technology GmbH</span>

Während eines Verkaufsvorgangs wird der Kunde ein schriftliches Angebot über die Produkte oder Dienstleistungen, die Sie anbieten möchten, anfragen, inklusive der Preise und anderen Vertragsbedingungen. Dies bezeichnet man als Vorschlag, Kostenvoranschlag, Pro Forma-Rechnung oder Angebot.

Um ein neues Angebot zu erstellen gehen Sie zu:

> Vertrieb > Dokumente > Angebot > Neues Angebot

### Erstellen eines Angebotes aus einer Opportunity heraus

Sie können auch ein Angebot aus einer Opportunity heraus erstellen.

<img class="screenshot" alt="Angebot aus Opportunity erstellen" src="{{docs_base_url}}/assets/img/selling/make-quote-from-opp.png">

Oder Sie erstellen ein neues Angebot und übernehmen Details aus der Opportunity.

<img class="screenshot" alt="Angebot aus Opportunity erstellen" src="{{docs_base_url}}/assets/img/selling/make-quotation.gif">

Ein Angebot enthält Informationen über:

* Den Empfänger des Angebots
* Die Artikel und Mengen, die Sie anbieten
* Die Preise, zu denen Sie anbieten (Siehe auch unten)
* Die anfallenden Steuern
* Andere Abgaben (wie Versandkosten, Versicherung), wenn sie zutreffen
* Vertragsdauer
* Die Lieferzeit
* Andere Vereinbarungen

> Tipp: Bilder schauen auf Angeboten toll aus. Um Bilder zu Ihren Angeboten hinzu zu fügen, binden Sie das entsprechende Bild in der Artikelvorlage ein.

### Preise

Die Preise, die sie abgeben, hängen von zwei Dingen ab:

* Die Preisliste: Wenn Sie mehrere verschiedene Preislisten haben, können Sie eine Preisliste auswählen oder sie mit dem Kunden markieren (so dass sie automatisch vorselektiert wird). Ihre Artikelpreise werden automatisch über die Preisliste aktualisert. Für weitere Informationen bitte bei [Preisliste](/docs/user/manual/de/setting-up/price-lists.html) weiterlesen.
* Die Währung: Wenn Sie einem Kunden in einer anderen Währung anbieten, müssen Sie die Umrechnungsfaktoren aktualisieren um ERPNext in die Lage zu versetzen die Information in Ihrer Standardwährung zu speichern. Das hilft Ihnen dabei den Wert Ihres Angebots in der Standardwährung zu analysieren.

### Steuern

Um Steuern zu Ihrem Angebot hinzu zu fügen, können Sie entweder eine Steuervorlage oder eine Verkaufssteuern- und Gebühren-Vorlage auswählen oder die Steuern selbst hinzufügen. Um Steuern im Einzelnen zu verstehen, lesen Sie bitte [Steuern](/docs/user/manual/de/setting-up/setting-up-taxes.html).

Sie können Steuern auf die gleiche Art hinzufügen wie die Vorlage Verkaufssteuern und Gebühren.

### Vertragsbedingungen

Im Idealfall beinhaltet jedes Angebot einen Satz an Vertragsbedingungen. Normalerweise ist es eine gute Idee eine Vorlage der eigenen Allgemeinen Geschäftsbediungen zu erstellen, damit Sie einen Standardsatz an Vertragsbedingungen haben. Das können Sie wie folgt tun:

> Vertrieb > Einstellungen > Vorlage für Allgemeine Geschäftsbedingungen

Was sollten die Vertragsbedingungen beinhalten?

* Die Gültigkeit des Angebotes
* Die Zahlungsbedingungen (Vorkasse, auf Rechnung, Anzahlung etc.)
* Optionen und Aufpreise
* Sicherheitswarnungen und Gebrauchshinweise
* Garantie, sofern vorhanden
* Reklamationsvorschriften
* Lieferbedingungen, wenn zutreffend
* Vorgehensweise bei Beanstandungen, Schadensersatz, Haftung etc.
* Adresse und Ansprechpartner Ihrer Firma

### Übertraung

Ein Angebot ist eine "übertragbare" Transaktion. Sobald Sie das Angebot an Ihren Kunden oder Lead senden, müssen Sie den Stand einfrieren, damit keine Änderungen durchgeführt werden können. Lesen Sie hierzu auch die Informationen zu den Dokumentenphasen.

> Tipp: Angebote können auch als "Pro Forma-Rechnung" oder Vorschlag bezeichnet werden. Wählen Sie die passende Bezeichnung im Feld "Briefkopf drucken" in der Sektion "Druckeinstellungen" aus. Um neue Überschriften zu erstellen gehen Sie zu
> Einstellungen > Druck > Briefkopf drucken

### Rabatt

Wenn Sie Ihre Vertriebstransaktionen wie z. B. ein Angebot (oder eine Kundenbestellung) erstellen, dann haben Sie wahrscheinlich schon gemerkt, dass es eine Spalte "Rabatt" gibt. Auf der linken Seite befindet sich der Preislisten-Preis auf der rechten Seite der Grundpreis. Sie können einen Rabatt hinzufügen um den Grundpreis zu aktualisieren. Um mehr über Rabatte zu erfahren lesen Sie bitte den Abschnitt [Rabatt](http://erpnext.org/discount).

{next}
